aboutsummaryrefslogtreecommitdiff
path: root/test/T355-smime.sh
diff options
context:
space:
mode:
authorTomi Ollila <tomi.ollila@iki.fi>2021-05-23 10:34:43 +0300
committerDavid Bremner <david@tethera.net>2021-06-03 09:29:27 -0300
commit572af2795007464ffbf9cd4656e0e5736d78d362 (patch)
treef125d88914372d097b52e70368bf703d02eeea92 /test/T355-smime.sh
parent100106a45d9f362ed8770c95cf35bd43f6580511 (diff)
test: source $NOTMUCH_SRCDIR/test/test-lib-emacs.sh
Sourcing test-lib.sh will cd to TMP_DIRECTORY, so relative path in $0 will not work in previous version . $(dirname "$0")/test-lib-emacs.sh Now individual test scripts -- e.g. ./test/T310-emacs.sh will work.
Diffstat (limited to 'test/T355-smime.sh')
-rwxr-xr-xtest/T355-smime.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/T355-smime.sh b/test/T355-smime.sh
index 69bdcfac..b7269686 100755
--- a/test/T355-smime.sh
+++ b/test/T355-smime.sh
@@ -2,7 +2,7 @@
test_description='S/MIME signature verification and decryption'
. $(dirname "$0")/test-lib.sh || exit 1
-. $(dirname "$0")/test-lib-emacs.sh || exit 1
+. $NOTMUCH_SRCDIR/test/test-lib-emacs.sh || exit 1
test_require_emacs
test_require_external_prereq openssl